#
# spec file for package mediawiki (Version 1.10.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg ocaml pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux xorg-x11-libX11 xorg-x11-libXau xorg-x11-libxcb zlib


Name:           mediawiki
BuildRequires:  ocaml
License:        GPL v2 or later
Group:          Productivity/Networking/Web/Utilities
Url:            http://www.mediawiki.org
Requires:       mod_php_any php-session php-gettext php-zlib php-mysql libMagick++10 texlive texlive-cjk
AutoReqProv:    on
Version:        1.10.0
Release:        32.2
Summary:        A Web-based Collaborative Editing Environment
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define mediawiki_path	/srv/www/htdocs/mediawiki
%define b_mediawiki_path $RPM_BUILD_ROOT%{mediawiki_path}
Source0:        %{name}-%{version}.tar.bz2
Source1:        README.SuSE
Patch:          %{name}-%{version}-secfix.diff

%description
MediaWiki is the collaborative editing software that runs Wikipedia,
the free encyclopedia, and other projects. It is designed to handle a
large number of users and pages without imposing a structure or
workflow too rigidly.



Authors:
--------
    Lee Daniel Crocker
    Magnus Manske
    Jan Hidders
    Brion Vibber
    Axel Boldt
    Geoffrey T. Dairiki
    Tomasz Wegrzanowski
    Erik Moeller
    Tim Starling
    Gabriel Wicke
    Ashar Voultoiz
    Evan Prodromou
    Several others

%debug_package
%prep
%setup -q
find -type f -name ".cvsignore" -exec rm {} \;
%patch

%build
%ifnarch s390 s390x ppc64
  cd math
  make
%endif

%install
%ifarch s390 s390x ppc64
  install -d -m 0755 %{b_mediawiki_path}
%else
  install -d -m 0755 %{b_mediawiki_path}/math
  cd math
  install -m 755 texvc %{b_mediawiki_path}/math
  make clean
  cd ..
%endif
cp -a * %{b_mediawiki_path}/
chmod 0770 %{b_mediawiki_path}/config
chmod 0775 %{b_mediawiki_path}/images
chmod 0640 %{b_mediawiki_path}/AdminSettings.sample
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}
install -m 0644 %{S:1} $RPM_BUILD_ROOT%{_docdir}/%{name}/
for i in COPYING FAQ HISTORY INSTALL README RELEASE-NOTES UPGRADE; do
  ln -s %{mediawiki_path}/$i $RPM_BUILD_ROOT%{_docdir}/%{name}
done

%post
# when upgrading from older version, run update script
# mysql admin login and password must be specified in AdminSettings.php
if [ $1 -gt 1 ] && [ -e %{mediawiki_path}/AdminSettings.php ]  ; then
	/usr/bin/php5 %{mediawiki_path}/maintenance/update.php --quick || true
fi 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_docdir}/%{name}
%dir %{mediawiki_path}
%{mediawiki_path}/[^cAi]*
%{mediawiki_path}/img_auth.php
%{mediawiki_path}/i[nr]*
%attr(-, root, www) %{mediawiki_path}/images
%attr(-, root, www) %{mediawiki_path}/AdminSettings.sample
%attr(-, root, www) %{mediawiki_path}/config

%changelog
* Thu Feb 05 2009 - anicka@suse.cz
- fix CVE-2008-5250, CVE-2008-5252 (bnc#459058)
* Mon Jul 30 2007 - aj@suse.de
- Use libMagick++10 as dependency.
* Wed Jul 04 2007 - anicka@suse.cz
- update to 1.10.0
  * major quarterly release
  * A new switch $wgCommandLineDarkBg used by maintenance scripts
  * The minimum permissions needed to edit a page in each namespace
  can now be customized via the $wgNamespaceProtection array.
  * Allow restriction of autoconfirmed permission by edit count.
  * Added rate limiter for Special:Emailuser
  * Private logs can now be created using $wgLogRestrictions
  * limited HTML is now always enabled ($wgUserHtml = true).
  * Deprecated $wgUseImageResize, thumbnailing will be enabled
  unconditionally.
  * many bugfixes (see RELEASE_NOTES file)
* Thu Apr 26 2007 - pgajdos@suse.cz
- use texlive
* Fri Mar 02 2007 - anicka@suse.cz
- update to 1.9.3
  * Fix a remaining raw use of REQUEST_URI in history
  * Fix a database error in Special:Recentchangeslinked
  when using the PostgreSQL database.
  * Add 'charset' to Content-Type headers on various HTTP error
  responses to forestall additional UTF-7-autodetect XSS issues.
  This fixes an issue with the Ajax interface error message on
  MSIE when $wgUseAjax is enabled (not default configuration);
  * Trackback responses now specify XML content type
* Mon Jan 15 2007 - anicka@suse.cz
- update to 1.9.0
  * major quarterly release
  * The names of Special: pages can now be localized, so links
  and URLs to them are more legible in languages that
  aren't English.  Not all languages have included
  localized names yet.
  * Users are now required to set a new password for themselves when
  they first log in with a newly generated e-mailed password.
  * An "undo" link now appears in diff view for easier
  reverting of older edits.
  * User blocks can be set to disable the automatic blocking
  of IP addresses the account logs in with.
  * database changes, configuration changes and new
  configuration options (see RELEASE-NOTES for full reference).
  * bugfixes
* Wed Jan 10 2007 - anicka@suse.cz
- update to 1.8.2
  * Regression in AutoAuthenticate hook
  * Run PHP install version checks on update.php so command-line
  updaters see new version requirements
  * Do a check for the PHP 5.0.x 64-bit bug, since this is much
  more disruptive as of MW 1.8 than it used to be. Install or
  upgrade now aborts with a warning and a request to upgrade.
  * XSS fix in AJAX module
* Mon Oct 16 2006 - anicka@suse.cz
- update to 1.8.2
  * major quarterly release
  * database changes: new update script provided
  * many bugfixes
  * new languages supported
- run update script when upgrading from older version,
  AdminSettings.php must exist to run update script
* Mon Jul 10 2006 - anicka@suse.cz
- update to 1.7.1:
  * major quarterly release
  * new features: archive of deleted files,
  update of experimental PostgreSQL support
* Thu Jun 15 2006 - anicka@suse.cz
- update to 1.6.7:
  * fix HTML/JavaScript-injection vulnerability in the edit form
  * add some localization and user interface updates
* Tue May 23 2006 - anicka@suse.cz
- update to 1.6.6
  * The account creation form has been separated from the user login form.
  * Template parameters can now have default values, as {{{name|default value}}}
  * Optional support for rasterizing SVG images to PNG for inline display
  * Experimental Oracle support
* Tue Mar 28 2006 - anicka@suse.cz
- backport security fix (xss) from 1.5.8
* Thu Jan 26 2006 - anicka@suse.cz
- fix DoS vulneravility CVE-2005-4501 (bug #145401)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 09 2006 - anicka@suse.cz
- update to 1.5.5
* Tue Jan 03 2006 - anicka@suse.cz
- update to 1.5.4
* Wed Dec 07 2005 - anicka@suse.cz
- update to 1.5.3
* Fri Nov 18 2005 - anicka@suse.cz
- update to 1.5.2
- remove permissions patch (not neccessary any more)
* Tue Oct 04 2005 - anicka@suse.cz
- update to 1.4.10
* Fri Sep 02 2005 - anicka@suse.cz
- add fixes for xss vulnerabilities from version 1.4.5
- require mod_php_any instead of mod_php
* Wed Aug 24 2005 - nadvornik@suse.cz
- fixed xss vulnerability CAN-2005-2396 [105841]
* Sat Jul 16 2005 - cthiel@suse.de
- update to version 1.4.7
* Wed Jul 13 2005 - cthiel@suse.de
- update to version 1.4.6
* Mon Jun 06 2005 - cthiel@suse.de
- update to version 1.4.5
* Fri Mar 11 2005 - postadal@suse.cz
- fixed building on s390 s390x ppc64, where missing ocamlopt
* Fri Mar 04 2005 - postadal@suse.cz
- initial version 1.4rc1 [#65543]
- fixed files permissions
